@charset "UTF-8";
/*
Version: 1.0.1
*/
.page-checkout.row .woocommerce {
  margin: 0;
  padding: 0 10px 30px;
  position: relative;
  width: 100%;
}
@media screen and (min-width: 850px) {
  .page-checkout.row {
    flex-direction: row-reverse;
  }
  .page-checkout.row > .woocommerce:first-child {
    flex-basis: 50%;
    max-width: 50%;
  }
  .page-checkout.row > .woocommerce:last-child {
    flex-basis: 50%;
    max-width: 50%;
  }
  .page-checkout.row > .woocommerce:last-child form.checkout {
    position: sticky;
    top: calc(var(--flatsome-scroll-padding-top) + 30px);
    transition: top 0.6s;
  }
}

.continue-shopping {
  margin: 0rem 0 2rem;
}
.continue-shopping span.title-cart,
span.title-checkout {
  font-size: 30px;
  font-weight: 700;
  color: #333;
}
.message-wrapper {
  position: fixed;
  top: 170px;
  right: 15px;
  width: 300px;
  transition: all 0.2s;
  z-index: 99999;
}
.message-container {
  box-sizing: border-box;
  background: #fff;
  border: 1px solid #d9d9d9;
  box-shadow: rgba(50, 50, 93, 0.25) 0px 13px 27px -5px,
    rgba(0, 0, 0, 0.3) 0px 8px 16px -8px;
  border-radius: 16px;
  padding: 18px !important;
  touch-action: pan-y;
}
span.message-icon.icon-close {
  border: 2px solid;
  border-radius: 100%;
  color: #ccc;
  display: block;
  font-size: 15px !important;
  font-weight: 700;
  height: 24px;
  line-height: 19px !important;
  text-align: center;
  width: 24px;
  cursor: pointer;
  position: absolute;
  top: -5px;
  transition: all 0.2s;
  padding: 0 !important;
  right: -10px;
  background: #fff;
}
span.message-icon.icon-close:before {
  content: "x";
}

tr {
  display: flex;
  width: 100%;
}
td {
  width: inherit;
  text-align: left !important;
}

tr.woocommerce-cart-form__cart-item.cart_item {
  position: relative;
  display: flex;
  flex-flow: row wrap;
  padding: 0;
}
.shop_table .cart_item td {
  border-bottom: none;
}
.cart_item:not(:last-child) {
  margin-bottom: 2rem;
}
.cart_item .product-thumbnail {
  min-width: 125px !important;
  position: relative;
  transition: all 0.2s;
  padding: 0 !important;
  width: 125px;
}
.cart_item .product-thumbnail .cart-item__thumbnail-quantity {
  font-size: 12px;
  position: absolute;
  top: -5px;
  right: -10px;
  height: 20px;
  min-width: 20px;
  color: #fff;
  background-color: #000;
  padding: 2px 4px;
  border-radius: 10px;
  display: flex;
  justify-content: center;
  align-items: center;
  transition: all 0.2s;
}

.cart_item td.product-name {
  margin-left: 1rem;
  flex: 3;
  display: flex;
  flex-flow: row;
  flex-wrap: wrap;
  padding-top: 0 !important;
  padding-bottom: 0 !important;
  align-content: space-between;
  flex-wrap: wrap;
  text-align: left !important;
}
.cart_item td.product-name > a {
  font-weight: 700;
  font-size: 0.9rem;
  max-width: 85%;
  display: block;
}
span.woobt-item-name {
  color: var(--2nd-color);
  font-size: 12px;
}
.cart_item .sb-edit-form-wrapper.product {
  width: 100%;
  margin-top: auto;
  display: flex;
  flex-flow: column;
  flex-wrap: wrap;
}
.cart_item .variations_form {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
}
.cart_item .variations_form .variations {
  display: flex;
}
.cart_item .sb-variation-select {
  width: max-content;
  border-radius: 10px;
  padding-right: 30px;
  font-size: 11px;
  border: 1px solid;
}
.cart_item .trendy-row {
  margin-right: 10px;
}
.cart_item input.update-cart-item-variations.update_button {
  background: #f1efefab;
  font-size: 9px;
  border-radius: 10px;
  text-transform: none;
  margin: 0;
}
.cart_item .box-action-qty {
  display: flex;
  align-items: center;
  justify-content: space-between;
  text-align: right;
  width: 100%;
}
.cart_item .box-action-qty .product-quantity {
  display: flex;
  align-items: center;
  gap: 5px;
}
.cart_item .quantity.buttons_added {
  background: #ffffff;
  border: 1px solid black;
  border-radius: 8px;
}
.cart_item input.minus.button.is-form,
input.plus.button.is-form {
  min-height: 25px;
  min-width: 25px;
  transition: 0.2s all;
  padding: 0;
  border: 0;
  background-color: #fff0;
  line-height: initial;
}
.cart_item .quantity input[type="number"] {
  border: none;
  padding: 5px 0;
  height: 100%;
  width: 25px !important;
}
.cart_item .remove-item {
  cursor: pointer;
  position: absolute;
  top: 0;
  right: 0;
  transition: all 0.2s;
  border: none;
  padding: 0 !important;
}
.cart_item .remove-item a.remove {
  font-size: 17px !important;
  color: #141414;
}

.discount-block .coupon-public {
  margin-top: calc(1.5rem - 10px);
  display: grid;
}
.discount-block .coupon-public .coupons {
  overflow-x: auto;
  overflow-y: hidden;
  display: flex;
  padding-bottom: 10px;
  padding-top: 10px;
  -webkit-overflow-scrolling: touch;
}
.discount-block .coupon-public .coupons .coupon-content {
  display: flex;
  border: 2px solid black;
  border-radius: 16px;
  cursor: pointer;
  transition: all 0.2s;
  width: 165px;
}
.discount-block .coupon-public .coupons .coupon-content.active {
  background-color: #2f5acf;
  border: 2px solid #2f5acf;
  color: white;
}
.discount-block .coupon-public .coupons .coupon-content:not(:last-child) {
  margin-right: 1rem;
}
.discount-block .coupon-public .coupons .coupon-left {
  flex: 1;
  border-right: 2px dashed var(--2nd-color);
  min-width: 20px;
  max-width: 20px;
  position: relative;
  background: var(--primary-color);
  border-radius: 13px 0 0 13px;
}
.discount-block .coupon-public .coupons .coupon-content .coupon-left:before {
  content: "";
  display: block;
  width: 1.3rem;
  height: 1.3rem;
  background: white;
  top: 50%;
  left: -2px;
  transform: translate(-50%, -50%) rotate(45deg);
  position: absolute;
  border-top: 2px solid #000;
  border-right: 2px solid #000;
  border-bottom: 2px solid #0000;
  border-left: 2px solid #0000;
  border-radius: 100em;
}
.discount-block .coupon-public .coupons .coupon-content.active .coupon-left {
  border-color: #ccc;
}
.discount-block
  .coupon-public
  .coupons
  .coupon-content.active
  .coupon-left:before {
  border-top: 2px solid #2f5acf;
  border-right: 2px solid #2f5acf;
  border-bottom: 2px solid #0000;
  border-left: 2px solid #0000;
}
.discount-block .coupon-public .coupons .coupon-right {
  flex: 2;
  padding: 5px 10px;
  position: relative;
  text-align: left;
}
.discount-block .coupon-public .coupons .coupon-right:after {
  content: "";
  display: block;
  width: 1.3rem;
  height: 1.3rem;
  background: white;
  top: 50%;
  right: -2px;
  transform: translate(48.5%, -50%) rotate(45deg);
  position: absolute;
  border-top: 2px solid #0000;
  border-right: 2px solid #0000;
  border-bottom: 2px solid black;
  border-left: 2px solid black;
  border-radius: 100em;
}
.discount-block
  .coupon-public
  .coupons
  .coupon-content.active
  .coupon-right:after {
  border-top: 2px solid #0000;
  border-right: 2px solid #0000;
  border-bottom: 2px solid #2f5acf;
  border-left: 2px solid #2f5acf;
}
.discount-block
  .coupon-public
  .coupons
  .coupon-content
  .coupon-right
  .coupon-title {
  font-size: 13px;
  font-weight: bold;
}
.discount-block
  .coupon-public
  .coupons
  .coupon-content
  .coupon-right
  .coupon-description {
  font-size: 10px;
  color: #999;
  display: block;
  min-width: 115px;
  transition: 0.2s all;
}
.discount-block
  .coupon-public
  .coupons
  .coupon-content.active
  .coupon-right
  .coupon-description {
  color: #fff;
}

form.checkout_coupon {
  display: block !important;
}
.discount-box .coupon {
  height: 39px;
  margin-top: 1rem;
  margin-bottom: 1rem;
  position: relative;
}
.discount-box .coupon h3.coupon-title {
  display: none;
}
.discount-box .coupon input#coupon_code {
  position: absolute;
  top: 0;
  left: 0;
  padding: 5px 20px;
  width: 70%;
  height: 50px;
  border-radius: 16px;
  border: 1px solid black;
  z-index: 3;
  margin: 0;
}
.discount-box .coupon input.is-form {
  width: 35%;
  border-radius: 0 16px 16px 0;
  border: 1px solid black !important;
  background-color: black !important;
  position: absolute;
  color: #fff !important;
  top: 0;
  right: 0;
  cursor: pointer;
  transition: 0.2s all;
  margin: 0;
  height: 50px;
  text-shadow: none;
}

.discount-actions {
  text-align: left;
}
.discount-actions p {
  font-size: 13px;
  font-style: italic;
}
.discount-actions ul.remove-discount {
  display: flex;
  flex-wrap: wrap;
}
.discount-actions ul.remove-discount li {
  margin-right: 10px;
}
.discount-actions span.coupon_code.value {
  text-transform: uppercase;
}
.order-total strong {
  font-size: 1.3rem;
}
tr.cart-subtotal,
tr.cart-discount,
tr.order-total {
  width: auto;
  justify-content: space-between;
}
.order-total strong {
  font-size: 1.3rem;
}

.woocommerce-billing-fields__field-wrapper,
#order_review {
  margin-top: 2rem;
}
.woocommerce .woocommerce-billing-fields {
  border-top: none;
  padding-top: 15px;
}
#customer_details .input-text,
span.select2-selection.select2-selection--single {
  border: 1px solid #d9d9d9;
  box-sizing: border-box;
  border-radius: 16px;
  height: 40px;
  padding: 5px 20px;
  transition: all 0.2s;
  box-shadow: none;
  font-weight: 100;
  font-size: 14px;
  height: 50px;
}
.payment-method__item {
  display: flex;
  align-items: center;
  border: 1px solid #d9d9d9;
  border-radius: 16px;
  padding: 15px 20px;
  cursor: pointer;
  transition: 0.2s all;
  opacity: 0.6;
}
.payment-method__item.active,
.payment-method__item:not(.disabled):hover {
  border: 1px solid #2f5acf;
  opacity: 1;
}
.custom-checkbox,
.custom-radio {
  display: block;
  position: relative;
  flex: 0 0 20px;
  width: 20px;
  height: 20px;
  border: 1px solid #d9d9d9;
  border-radius: 20px;
  transition: all 0.2s;
}
.payment-method__item.active .payment-method__item-custom-checkbox,
.payment-method__item:not(.disabled):hover
  .payment-method__item-custom-checkbox {
  border: 1px solid #2f5acf;
}
.custom-checkbox input,
.custom-radio input {
  display: none !important;
}
.custom-checkbox .checkmark,
.custom-radio .checkmark {
  display: none;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 10px;
  height: 10px;
  border-radius: 20px;
  background-color: #2f5acf;
}
.custom-checkbox input:checked ~ .checkmark,
.custom-radio input:checked ~ .checkmark {
  display: block;
  z-index: 20;
}
.payment-method__item-icon-wrapper {
  margin: 0 1.5rem;
}
.payment-method__item-icon-wrapper img {
  min-width: 35px;
  max-height: 35px;
  max-width: 55px;
}
span.payment-method__item-name p {
  font-weight: 300;
}
#place_order {
  border-radius: 16px;
  height: 55px;
  width: 100%;
  padding: 15px 20px;
  background-color: #000;
  color: #fff;
  text-align: center;
  border: none;
  cursor: pointer;
  transition: all 0.2s;
}

.woocommerce-privacy-policy-text {
  font-size: 85%;
  margin-top: 20px;
  text-align: center;
}

@media (max-width: 767px) {
  .trendy-page-cart {
    flex-direction: unset;
  }
  input#place_order {
    position: fixed;
    bottom: 0;
    right: 0;
    z-index: 999999 !important;
    border-radius: 0 !important;
    height: 65px !important;
  }
}
@media (max-width: 549px) {
  .cart_item .box-action-qty {
    margin-top: 10px;
  }
  .cart_item .box-action-qty .product-quantity {
    gap: 0;
    flex-direction: column;
    align-items: flex-start;
  }
  .shop_table .product-price,
  .shop_table .product-subtotal {
    display: block !important;
  }
}
